cancel
Showing results for 
Search instead for 
Did you mean: 

Since the IOS version of OVRLip uses a dynamic library, it cannot be audited through the AppStore.

flashyiyi
Level 2
We are using version 1.37, download address:
https://developer.oculus.com/downloads/package/oculus-lipsync-unity/

XCode Version:Version 10.2.1 (10E1001)

We put libOVRLipSyncShim.a under Link Binary With Libraries.
Place libOVRLipSync.dylib under Embedded Binaries.




This is Apple's feedback email.

--------------------------------

App Store Connect

Dear Developer,

We identified one or more issues with a recent delivery for your app, "XXXXX". Please correct the following issues, then upload again.

Invalid Bundle Structure - - The binary file 'XXXX.app/libOVRLipSync.dylib' is not permitted. Your app can’t contain standalone executables or libraries, other than a valid CFBundleExecutable of supported bundles. Refer to the Bundle Programming Guide at https://developer.apple.com/go/?id=bundle-structure for information on the iOS app bundle structure.
4 REPLIES 4

dev_n
Level 2
I have the same problem.
Is there any solution?

// My development environment.
Oculus Lipsync Unity : ver1.39.0
Unity : ver2018.3.1f1
Xcode : ver10.1
iOS   : OS 10.0 ~ 12.0

// What I tried. All have "dlopen failed" errors.
1. Change the destination of the .dylib file with Xcode
   Build Phase > Embed Libraries > Destination "Ecutables" ->  change to "Frameworks"

2. Change the path of the .dylib file with the "install_name_tool" command
   dylib path(before): @rpath/libOVRLipSync.dylib
   dylib path(after) : @executable_path/../Frameworks/libOVRLipSync.dylib

bhuwanwil
Level 2
I too have the same problem.

Have you guys found out anything?

doukasd
Level 3
Dear Oculus Staff, is it possible to have an answer to this question please? It can be a simple yes or no, just to make sure we are doing things right and not wasting our time trying.

Does libOVRLipSync support deployment to the iOS App Store?

One would assume the answer is yes, as there is an "iOS" plugin in the Oculus Lipsync Unity integration package. And it works on the device itself.

@Petroza said in 2018 [1] that iOS was not planned to be supported, though in early 2019 it seems that changed when iOS support was added in v1.36 [2]. However still now the library is in a form of a "dylib" file, which according to Apple TN2435 "Dynamic libraries outside of a framework bundle, which typically have the file extension .dylib, are not supported on iOS, watchOS, or tvOS, except for the system Swift libraries provided by Xcode." [3].

So when the iOS Plugin was added by Oculus was it meant just for experimentation or internally distributed applications (not meant for the Store) or is there a way to publish apps with this library and we are just missing the way to do this?

Thank you,
Dimitris

PS: The forum doesn't allow me to post links so:
[1] Google "Oculus Lip Sync not working with iOS"
[2] Go to the "Oculus Lipsync Unity" page, change to v1.36 and see the change log
[3] Google Apple "Technical Note TN2435"

jakeslack27
Level 2
Also having this issue.  Any update from Oculus here?